# JAIDA histograms. Convertion to jHepWork graphics 
# S.Chekanov
from  hep.aida import *
from  hep.aida.dev import *
from  hep.aida.ref import *
from  hep.aida.ref.histogram import *
from  hep.aida.ref.histogram.binner import *
from  hep.aida.ref.root import *
from java.util import Random

# jhepwork
from jhplot  import H1D,HPlot


### your program here
# make JAIDA histograms
xAx =  FixedAxis(30, -2.0, 2.0);
h1 = Histogram1D("JAIDA histogram","JAIDA histogram", xAx )



rand = Random()
# fill histogram
for i in range(300):
      h1.fill(rand.nextGaussian())

# plot it
c1 = HPlot("Canvas",600,400,1, 1)
c1.setGrid(0,0)
c1.setGrid(1,0)
c1.visible(1)
c1.setAutoRange()
hh=H1D(h1)
hh.setFill(1)
c1.draw(hh)



# export to some image (png,eps,pdf,jpeg...)
# c1.export(Editor.DocMasterName()+".png");
