# H2D histograms on one canvas. Example II
# S.Chekanov

from jhplot  import HPlot3D
from jhplot  import H2D
from java.util import Random

c1 = HPlot3D("Canvas",600,400)
c1.setGTitle("Histogram test") 
c1.setNameX("X axis")
c1.setNameY("Y axis")
c1.visible(1)




h1 = H2D("My 2D Test 1",30,-3.0, 3.0, 30, -3.0, 3.0)
h2 = H2D("My 2D Test 2",30,-3.0, 3.0, 30, -3.0, 3.0)
rand = Random()
for i in range(5000):
               h1.fill(0.4*rand.nextGaussian(),rand.nextGaussian())
for i in range(4000):
               h2.fill(0.2*rand.nextGaussian()+2.0,0.5*rand.nextGaussian()+1.0)

c1.draw(h1,h2)

# export to some image (png,eps,pdf,jpeg...)
# c1.export(Editor.DocMasterName()+".png")

